Carbon.EventHotKeyID.ByValue (JNA API)

com.sun.jna.platform.mac

## Class Carbon.EventHotKeyID.ByValue

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.mac.Carbon.EventHotKeyID
    - - com.sun.jna.platform.mac.Carbon.EventHotKeyID.ByValue

- All Implemented Interfaces:
    Structure.ByValue
  Enclosing class:
    Carbon.EventHotKeyID

      public static class Carbon.EventHotKeyID.ByValue
      extends Carbon.EventHotKeyID
      implements Structure.ByValue

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.mac.Carbon.EventHotKeyID

      `Carbon.EventHotKeyID.ByValue`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.mac.Carbon.EventHotKeyID

      `id, signature`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByValue()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByValue

          public ByValue()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.